summaryrefslogtreecommitdiff
path: root/package/openssl-pkcs11
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2009-05-30 20:39:07 +0200
committerWaldemar Brodkorb <wbx@openadk.org>2009-05-30 20:39:07 +0200
commitba3359722cbf8aa7b0ed39e1f81d1d74ec88fecd (patch)
tree10c726d162bc0ded85eb7aeacf8f246bd39ad63a /package/openssl-pkcs11
parentbbd610f15a71b27c955175cb98392b114717fd47 (diff)
optimize ipkg package management
- generate ipkg control file from PKG_* variables - automatically install init scripts from ./files/*.init set #PKG pkgname to set the binary package - rename FWINIT -> INIT - move postinst and conffiles meta data to ./files - update the packages to the latest upstream version - remove some unready or unused package (strongswan,..) more cleanups needed after allmodconfig
Diffstat (limited to 'package/openssl-pkcs11')
-rw-r--r--package/openssl-pkcs11/Makefile12
-rw-r--r--package/openssl-pkcs11/ipkg/openssl-pkcs11.control4
-rw-r--r--package/openssl-pkcs11/patches/patch-configure60
3 files changed, 8 insertions, 68 deletions
diff --git a/package/openssl-pkcs11/Makefile b/package/openssl-pkcs11/Makefile
index 6f7036f72..283fa911c 100644
--- a/package/openssl-pkcs11/Makefile
+++ b/package/openssl-pkcs11/Makefile
@@ -6,16 +6,20 @@
include ${TOPDIR}/rules.mk
PKG_NAME:= openssl-pkcs11
-PKG_VERSION:= 0.1.3
+PKG_VERSION:= 0.1.5
PKG_RELEASE:= 1
-PKG_MD5SUM:= 26eb84950a10b7d869e41a50620ebf09
+PKG_MD5SUM:= 840af6e54dc21445c54f74e15005ba4d
+PKG_DESCR:= pkcs11 engine for openssl
+PKG_SECTION:= crypto
+PKG_URL:= http://www.opensc-project.org/engine_pkcs11
+PKG_SITES:= http://www.opensc-project.org/files/engine_pkcs11/
+
DISTFILES:= engine_pkcs11-${PKG_VERSION}.tar.gz
-MASTER_SITES:= http://www.opensc-project.org/files/engine_pkcs11/
WRKDIST= ${WRKDIR}/engine_pkcs11-${PKG_VERSION}
include ${TOPDIR}/mk/package.mk
-$(eval $(call PKG_template,OPENSSL_PKCS11,openssl-pkcs11,${PKG_VERSION}-${PKG_RELEASE}))
+$(eval $(call PKG_template,OPENSSL_PKCS11,${PKG_NAME},${PKG_VERSION}-${PKG_RELEASE},${PKG_DEPENDS},${PKG_DESCR},${PKG_SECTION}))
CONFIGURE_STYLE:= gnu
CONFIGURE_ENV+= cross_compiling=yes
diff --git a/package/openssl-pkcs11/ipkg/openssl-pkcs11.control b/package/openssl-pkcs11/ipkg/openssl-pkcs11.control
deleted file mode 100644
index 3e7c3ae5b..000000000
--- a/package/openssl-pkcs11/ipkg/openssl-pkcs11.control
+++ /dev/null
@@ -1,4 +0,0 @@
-Package: openssl-pkcs11
-Priority: optional
-Section: crypto
-Description: pkcs11 engine for openssl
diff --git a/package/openssl-pkcs11/patches/patch-configure b/package/openssl-pkcs11/patches/patch-configure
deleted file mode 100644
index 7527e4904..000000000
--- a/package/openssl-pkcs11/patches/patch-configure
+++ /dev/null
@@ -1,60 +0,0 @@
-$Id$
---- engine_pkcs11-0.1.3.orig/configure 2005-11-23 21:44:23.000000000 +0100
-+++ engine_pkcs11-0.1.3/configure 2007-04-08 14:22:29.000000000 +0200
-@@ -20061,56 +20061,6 @@ if test "${with_openssl+set}" = set; the
- fi
- CPPFLAGS="-I$withval/include $saved_CPPFLAGS"
-
-- if test "$cross_compiling" = yes; then
-- { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
--See \`config.log' for more details." >&5
--echo "$as_me: error: cannot run test program while cross compiling
--See \`config.log' for more details." >&2;}
-- { (exit 1); exit 1; }; }
--else
-- cat >conftest.$ac_ext <<_ACEOF
--/* confdefs.h. */
--_ACEOF
--cat confdefs.h >>conftest.$ac_ext
--cat >>conftest.$ac_ext <<_ACEOF
--/* end confdefs.h. */
--
--#include <string.h>
--#include <openssl/rand.h>
--int main(void)
--{
-- char a[2048];
-- memset(a, 0, sizeof(a));
-- RAND_add(a, sizeof(a), sizeof(a));
-- return(RAND_status() <= 0);
--}
--
--_ACEOF
--rm -f conftest$ac_exeext
--if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-- (eval $ac_link) 2>&5
-- ac_status=$?
-- echo "$as_me:$LINENO: \$? = $ac_status" >&5
-- (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-- (eval $ac_try) 2>&5
-- ac_status=$?
-- echo "$as_me:$LINENO: \$? = $ac_status" >&5
-- (exit $ac_status); }; }; then
--
-- SSL_MSG="yes"
-- ssldir="$withval"
-- break
--
--else
-- echo "$as_me: program exited with status $ac_status" >&5
--echo "$as_me: failed program was:" >&5
--sed 's/^/| /' conftest.$ac_ext >&5
--
--fi
--rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
--fi
--
- else
-
-